رفتن به محتوا

Gemini Omni Flash

یکپارچه‌سازی

شناسه مدل google/gemini-omni-flash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/google/gemini-omni-flash?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

این درخواست: ≈⁨‎$۱٫۲۷۱⁩ ۱٬۲۷۱ اعتبار API اجرای آن در این صفحه

دریافت کلید API
Google متن به ویدیو همگام‌سازی لبسریع۳–۱۰ ثانیه #stylized#transform#lipsync

تبدیل متن به ویدیو در نسخه اصلی با صدای همگام، کلیپ‌های 3 تا 10 ثانیه‌ای در 16:9 یا 9:16

Google · ویدیو

اولین نتیجه شما اینجا قرار می‌گیرد

درخواست را در زیر بسازید و با کلید API خود اجرا کنید. خروجی‌ها در فضای ذخیره‌سازی ما کپی می‌شوند و برای همیشه یا به‌مدت ۷ روز رایگان نگه‌داری می‌شوند.

ساخت درخواست

کنترل‌ها از شِمای مدل تولید می‌شوند. با تغییر آن‌ها، کد و قیمت به‌روزرسانی می‌شوند.

•الزامی 88 / 20000

توصیف متنی ویدیوی موردنظر.

aspect_ratio پیش‌فرض 16:9

نسبت تصویر ویدیوی خروجی.

پیش‌فرض 8

طول ویدیوی خروجی، برحسب ثانیه.

پیشرفته enable_safety_checker
POST /run/google/gemini-omni-flash?wait=20 قیمت → ⁨‎$۱٫۲۷۱⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/google/gemini-omni-flash?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

اجرای این درخواست

کلید شما در این مرورگر باقی می‌ماند: فقط به Doitong API ارسال می‌شود و فقط در صورت فعال‌کردن گزینه «یادآوری»، در localStorage ذخیره می‌شود. دریافت کلید API

درباره Gemini Omni Flash

با پرامپت متنی حداکثر 20000 نویسه، ویدیوی کوتاه همراه با صوت تولید می‌کند. نسبت تصویر 16:9 یا 9:16 است و مدت‌زمان از 3 تا 10 ثانیه، با پیش‌فرض 8، متغیر است. برخلاف نقطه پایانی متنی 1.1، تنظیم وضوح ندارد و شامل پرچم `enable_safety_checker` است که به‌طور پیش‌فرض فعال است.

پارامترها

نامنوع پیش‌فرضمجاز توضیحات
promptالزامی
نوعstring
≤ ۲۰٬۰۰۰ نویسه
توصیف متنی ویدیوی موردنظر.
aspect_ratioاختیاری
نوعenum
پیش‌فرض16:9
16:99:16
نسبت تصویر ویدیوی خروجی.
durationاختیاری
نوعinteger
پیش‌فرض8
۳ – ۱۰
طول ویدیوی خروجی، برحسب ثانیه.
enable_safety_checkerاختیاری
نوعboolean
پیش‌فرضtrue
با تنظیم false، در صورت مجاز بودن فراخواننده، می‌توان بررسی را آسان‌گیرانه‌تر کرد.
الزامی

خروجی

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "google/gemini-omni-flash",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1271,
    "usd": "1.271",
    "charged": 1271,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
فایل‌های شما، انتخاب شماهر outputs[].url کپی‌ای در فضای ذخیره‌سازی ماست: برای همیشه (با هزینه به‌ازای هر GB-ماه) یا به‌مدت ۷ روز رایگان، بر اساس تنظیم حساب شما یا ?storage=.
ساختار یکسان در همه مدل‌هاtype، url، content_type، width، height و duration برای تصاویر، ویدیو و صدا یکسان هستند. output شیء نتیجه اختصاصی مدل است.
فیلدهای خروجی
video
object {url, content_type, file_name, file_size}ویدیوی تولیدشده توسط مدل.

مدل‌های بیشتر: متن به ویدیو

برای عامل‌های هوش مصنوعی: این صفحه به‌صورت Markdown در دسترس است https://doitong.com/fa/developers/models/google/gemini-omni-flash.md. همه مدل‌ها و راهنماها: https://doitong.com/developers/llms.txt